Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.js.ajax
Interface AjaxHandler

All Known Implementing Classes:
  AbstractAjaxHandler, JsfAjaxHandler, RichFacesAjaxHandler, SpringJavascriptAjaxHandler

    public interface AjaxHandler

Strategy interface that encapsulates knowledge about a client-side ajax system and how to communicate with that system.

Author:
  Keith Donald

Method Summary
`boolean` | `isAjaxRequest(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Is the current request an Ajax request?
`void` | `sendAjaxRedirect(java.lang.String targetUrl, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, boolean popup)` Send a redirect request to the Ajax client.

Method Detail

### isAjaxRequest

    boolean isAjaxRequest(javax.servlet.http.HttpServletRequest request,
                          javax.servlet.http.HttpServletResponse response)

  Is the current request an Ajax request?

  Parameters:
    `request` - the current request
    `response` - the current response

### sendAjaxRedirect

    void sendAjaxRedirect(java.lang.String targetUrl,
                          javax.servlet.http.HttpServletRequest request,
                          javax.servlet.http.HttpServletResponse response,
                          boolean popup)
                          throws java.io.IOException

  Send a redirect request to the Ajax client. This should cause the client-side agent to send a new request to the specified target url.

  Parameters:
    `request` - the current request
    `response` - the current response
    `targetUrl` - the target url to redirect to
    `popup` - wheter the redirect should be sent from a new popup dialog window
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD